<?php
/*
Plugin Name: Print me!
Plugin URI: http://zelenin.me
Description: This plugin adds a print version
Version: 0.1.3
Author: Aleksandr Zelenin
Author URI: http://zelenin.me
License: Free
*/

if ( !$_GET["print"] == 1  ) {
	add_filter('the_content','printme_add_link');
}
function printme_add_link($content) {
	if ( is_singular() ) {
		wp_enqueue_script('jquery');
		wp_register_script('printme', plugins_url('/printme.js', __FILE__), false, '1', true);
		wp_enqueue_script('printme');
		$link = add_query_arg( 'print', '1', get_permalink() );
		$content = '<p style="width:16px;margin:10px 0;" id="print-page-link"><a href="' . $link . '"><img style="width:16px;height:16px;" src="'. plugins_url('/printme.png', __FILE__) .'" title="print"></a></p>'.$content;
		return $content;
	}
}

add_action('template_redirect', 'printme', 5);
function printme() {
	if ( $_GET["print"] == 1 ) {
		include(plugin_dir_path(__FILE__).'print.php');
		exit();
	}
}

?>